http_server:
  host: ""
  port: 1308
  shutdown_context_timeout: 10s
  cors:
    allow_origins:
      - "*"

logger:
  level: "debug" # Can be `debug`, `info`, `warn`, `error`
  file_path: "logs/benefactorapp/service.log"
  use_local_time: true
  file_max_size_in_mb: 10
  file_max_age_in_days: 7

database_retry:
  max_retries: 3
  retry_delay: 100ms

total_shutdown_timeout: 30m

path_of_migration: "./benefactorapp/repository/migration"

mariadb:
  port: 3306
  host: localhost
  db_name: niki_db
  username: niki
  password: nikiappt0lk2o20

